QGIS Application - Bug report #4260
GRASS error has no details
2011-09-04 05:41 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 14204
Description

(This is similar to #3470, but not sure they are really duplicate.)

| am trying to run v.in.ogr.qgis. The source is a QGIS PostGIS layer that is just geometry points.

It doesn't work, and the error message is unhelpful. Here's the module's output:

v.in.ogr -0 "dsn=PG:dbname="'de' host=localhost port=5432 user="postgres' password="[_redacted_]' ssimode=disable"
"layer=raw.TxDOT crash" "where="Cnty_ID" = '57"" output=pointdata snap=-1 min_area=0.0001

Over-riding projection check

Layer: raw.TxDOT crash

Default driver / database set to:

driver: dbf

database: $GISDBASE/$LOCATION_NAME/$SMAPSET/dbf/

Counting polygons for 264398 features...

Importing map 264398 features...

DBMI-DBF driver error:

Cannot insert new row: insert into pointdata values ( 1, '[_redacted--was a time_]', "', 1, NULL, 32.959261, 2, NULL, NULL,
NULL, 6, 0, NULL, 'N', ", NULL, 0, NULL, NULL, NULL, NULL, ", NULL, 0, 2,'762', ", NULL, 0, NULL, 0, NULL, NULL, NULL, ",
'N’, NULL, 0, NULL, 'E BETHEL SCHOOL RD’, 8, NULL, 0, NULL, 4, 38, NULL, NULL, NULL, ", 'N', NULL, NULL, 'N', 1, NULL,
94, ", NULL, NULL, 8, 22, 22, NULL, NULL, 'N’, 'N', '[_redacted--was a date_]', NULL, 2, NULL, ", 'N', NULL, NULL, NULL,
NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0,1, 0,1, NULL, NULL, 5,'Y', NULL, NULL, NULL, ", 3,",
NULL, ", 1, 2, NULL, 'N', 'MOCKINGBIRD LN', NULL, 1, ", 57, NULL, 1, NULL, NULL, 64, 0, 1, NULL, 0, NULL, NULL, NULL, ",
1,0, NULL, 'N’, NULL, 'N', 0, NULL, 1, NULL, 2003000146, 'Y", ", NULL, 0, NULL, ", 2, 'Y", -96.968529, 0, 0, NULL )

Finished with error

I have no idea why this insert didn't work; the error has no details. Searching online, it appears this error message almost always has an
explanation provided by GRASS.

History

#1 - 2011-09-04 08:19 PM - Aren Cambre

This may be strictly a problem with GRASS GIS. I've reproduced with GRASS GIS standalone.

| reported this to them at http://trac.osgeo.org/grass/ticket/1439.

#2 - 2011-09-05 12:14 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed
http://trac.osgeo.org/grass/ticket/1439

#3 - 2011-09-05 06:40 AM - Aren Cambre

| agree. Looks like a GRASS problem.
